# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

MY_PN="${PN}-py"

PYTHON_COMPAT=( python3_{8..10} )
inherit distutils-r1

DESCRIPTION="Next-generation file format (NGFF) for storing bioimaging data in the cloud"
HOMEPAGE="https://github.com/ome/ome-zarr-py"
SRC_URI="https://github.com/ome/ome-zarr-py/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~amd64"
IUSE="test"
RESTRICT="!test? ( test )"

RDEPEND="
	dev-python/aiohttp[${PYTHON_USEDEP}]
	dev-python/dask[${PYTHON_USEDEP}]
	dev-python/fsspec[${PYTHON_USEDEP}]
	dev-python/numpy[${PYTHON_USEDEP}]
	dev-python/quantities[${PYTHON_USEDEP}]
	dev-python/requests[${PYTHON_USEDEP}]
	dev-python/toolz[${PYTHON_USEDEP}]
	dev-python/zarr[${PYTHON_USEDEP}]
	sci-libs/scikit-image[${PYTHON_USEDEP}]
"
DEPEND="
	test? (
		${RDEPEND}
	)
"

S="${WORKDIR}/${MY_PN}-${PV}"

# Reported upstream, perhaps auto-skippable in future releases:
# https://github.com/ome/ome-zarr-py/issues/168
EPYTEST_DESELECT=(
	"tests/test_cli.py::TestCli::test_s3_info[v0.1]"
	"tests/test_cli.py::TestCli::test_s3_info[v0.2]"
	"tests/test_cli.py::TestCli::test_s3_info[v0.3]"
)

distutils_enable_tests pytest
